<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Teilnehmer\SammelEMail;

class SendSammelEMailController extends \Kufer\KuferTools\Ausgaben\SammelEMail\AnTeilnehmer\SendSammelEMailController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new SendSammelEMailUseCase(
      $this->getRequestObj()
    );
  }

  protected function getNewRequestObj()
  {
    return new SendSammelEMailRequest();
  }

  protected function getRequestObj()
  {
    $request = parent::getRequestObj();
    $request->belegId = \GetOperations::getInt('belid');

    return $request;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SendSammelEMailPresenter($pUseCaseResponse);
  }
}